/*******************************************************************************
 *  metrology-calibration-template.h - MSP430F6736 distribution version
 *
 * Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/ 
 * ALL RIGHTS RESERVED 
 *
 ******************************************************************************/

#define DEFAULT_TEMPERATURE_INTERCEPT               (1615*8)
#define DEFAULT_TEMPERATURE_SLOPE                   (704*2)

#define DEFAULT_ROOM_TEMPERATURE                    250

#define DEFAULT_V_RMS_SCALE_FACTOR_A                23724
#define DEFAULT_V_RMS_LIMP_SCALE_FACTOR_A           23724
#define DEFAULT_V_DC_ESTIMATE_A                     0x0000
#define DEFAULT_V_LIMP_DC_ESTIMATE_A                0x0000
#define DEFAULT_V_AC_OFFSET_A                       9

#define DEFAULT_I_RMS_SCALE_FACTOR_A                24052
#define DEFAULT_I_RMS_LIMP_SCALE_FACTOR_A           24052
#define DEFAULT_I_DC_ESTIMATE_A                     0x0000
#define DEFAULT_I_DC_LIMP_ESTIMATE_A                0x0000
#define DEFAULT_I_AC_OFFSET_A                       0

/* The following will be assigned automatically if they are not set here */
//#define DEFAULT_P_SCALE_FACTOR_A

#define DEFAULT_I_RMS_SCALE_FACTOR_NEUTRAL          24052
#define DEFAULT_I_RMS_LIMP_SCALE_FACTOR_NEUTRAL     24052
#define DEFAULT_I_DC_ESTIMATE_NEUTRAL               0x0000
#define DEFAULT_I_DC_LIMP_ESTIMATE_NEUTRAL          0x0000
#define DEFAULT_I_AC_OFFSET_NEUTRAL                 0

/* The following will be assigned automatically if they are not set here */
//#define DEFAULT_P_SCALE_FACTOR_NEUTRAL

#define DEFAULT_FREQUENCY_PHASE_FACTOR              500
#define DEFAULT_FREQUENCY_GAIN_FACTOR               0

#define DEFAULT_BASE_PHASE_A_CORRECTION             24

#define DEFAULT_BASE_NEUTRAL_PHASE_CORRECTION       14

#define DEFAULT_PHASE_CORRECTION1                   0
#define DEFAULT_GAIN_CORRECTION1                    0
#define DEFAULT_PHASE_CORRECTION2                   0
#define DEFAULT_GAIN_CORRECTION2                    0
