/*******************************************************************************
 *  EVSE-measurment.h -
 *
 * Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/ 
 * ALL RIGHTS RESERVED 
 *
 ******************************************************************************/

/*! \file */

#if !defined(_EVSE_MEASURMENT_H_)
#define _EVSE_MEASURMENT_H_

/* enumeration for the pilot line voltage states */
typedef enum {
	V_12,
	V_9,
	V_6,
	V_3,
	V_1,
	V_UNKNOWN
}PILOT_readings_t;


/* pilot ADC10 sample processing */
void pilot_sample_process(void);

/* fetch current pilot line state */
PILOT_readings_t pilot_state_return(void);

#endif
