/*******************************************************************************
 *  flash_clr.c -
 *
 * Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/ 
 * ALL RIGHTS RESERVED 
 *
 ******************************************************************************/

#include <signal.h>
#include <inttypes.h>
#if defined(__MSP430__)
#include <msp430.h>
#endif
#include "emeter-toolkit-custom.h"
#include "emeter-toolkit.h"

#if defined(__MSP430__)
void flash_clr(int *ptr)
{
    _DINT();
    FCTL3 = FWKEY;                      /* Lock = 0 */
    FCTL1 = FWKEY | ERASE;
    *((int *) ptr) = 0;                 /* Erase flash segment */
}
#endif
